// Initial positions for the ships and stuff

#include "defines.h"

extern GLfloat shipdb[32][9];

// Sets the default and custom initial positions for the objects (ships)
void init_ships(void)
{
	int i,j;

	for(i=0;i<32;i++)
	{
		for(j=0;j<8;j++)
		{
			if(j==7)
				shipdb[i][j]=1;
			else
				shipdb[i][j]=0;
		}
	}

	// Star destroyer properties
	shipdb[0][8]=0.5;

	// Initial position of the tie fighters
	shipdb[2][8]=shipdb[1][8]=2;

	shipdb[1][2]=-0.35;
	shipdb[2][2]=0.35;

	// Shuttle properties
	shipdb[3][2] = -0.8;

	shipdb[3][6] = 135;	// angle of wings
	shipdb[3][8] = 0.2;	// size

	// ywing
	shipdb[4][1] = -0.5;

	shipdb[4][8] = 0.01;

	// tie bomber
	shipdb[5][8] = 0.01;
	shipdb[5][2] = 0.75;

	// new star destroyer
	shipdb[6][1] = 1.25;

	shipdb[6][8] = 0.02;
}

